---
title: Zápas
---

<p>Zápas je nejčastěji se vyskytující entita v systému. Každý zápas musí patřit
k jedné soutěži, aby bylo možné vypočítat výsledek zápasu, protože v soutěži je uložena 
informace o způsobu výpočtu výsledku.</p>

<h2>Dostupné akce k zápasu</h2>
<ul>
    <li><strong>Základní informace o zápasu</strong> - přehled o týmech, datu konání, skóre a periodách</li>
    <li><strong>Vytvoření zápasu</strong> - vždy se k němu dostanete ze soutěže</li>
    <li><strong>Úprava zápasu</strong> - změna týmů, termínu konání, u sezóny i kola (ale musí pořád platit
        podmínky pro systém každý s každým)</li>
    <li><strong>Smazání zápasu</strong></li>
    <li><strong>Detail</strong> - nastavení počtu diváků, stadionu, komentáře k zápasu</li>
    <li><strong>Rozhodčí</strong> - přiřazení osob na zvolené pozici (hlavní rozhodčí, asistent apod.)</li>
    <li><strong>Sestavy</strong> - sestavy pro domácí a hostující tým</li>
    <li><strong>Týmové statistiky</strong> - statistiky pro týmy, např. počet rohů</li>
    <li><strong>Hráčské statistiky</strong> - statistiky pro hráče ze sestav, např. počet gólů</li>
    <li><strong>Filtrování zápasů</strong> - na hlavní straně modulu můžete filtrovat zápasy, dokonce místo
    výpisu zápasů můžete zobrazit i tabulku vypočtenou z odehraných zápasů</li>
</ul>

<h2>Dostupné akce k zápasovým periodám</h2>
<ul>
    <li><strong>Přidání výsledku</strong> - počet period podle nastavení v soutěži</li>
    <li><strong>Změna výsledku</strong> - možnost změny dílčích skóre v existujících periodách.</li>
    <li><strong>Smazání výsledku</strong> - smazání všech existujících period.</li>
    <li><strong>Přidání periody</strong> - přidání jedné periody.</li>
    <li><strong>Smazání periody</strong> - smazání jedné periody.</li>
    <li><strong>Výpočet výsledku podle zápasové akce</strong> - zvolíte zápasovou statistiku a podle jejího výskytu 
        v hráčských statistikách zápasu dojde k vytvoření nové periody (existující výsledek zápasu bude předtím smazán).
    </li>
</ul>

<h2>Které uživatelské skupiny mají přístup?</h2>
<ul>
    <li><strong>Administrátor, sportovní správce, správce soutěže</strong> - vytváření, úprava, smazání
        <ul>
            <li>Správce soutěže může zápasy editovat, pokud mu administrátor <a href="<%= webPrefix %>/help/module/user.html">přiřadil</a>
                ke správě soutěž, do které zápas patří.</li>
        </ul>
    </li>
    <li><strong>Registrovaný uživatel, návštěvník</strong> - pouze pro čtení</li>
</ul>

<h2>Omezení v modulu</h2>
<ul>
    <li>Každý zápas musí patři do jedné soutěže.</li>
    <li>Týmový člen může být zařazen do sestavy pouze pokud je označen jako hráč v týmu (nejedná se o pozici,
        ale ve výpisu týmových členů je sloupec <em>Hráč</em>, kde barva značí, zda se jedná o hráče)</li>
    <li>Trochu problematické je zobrazování hráčů u přidávání do sestavy - k dispozici jsou pouze hráči, 
        kteří v daný den byly součástí týmů, takže pokud má soutěž nastavené počáteční datum, ale hráč nemá
        nastavené datum působení, tak se tam hráč neobjeví. Tohle budu muset ještě doladit, ale cílem bylo, aby se 
        v sestavách nezobrazovaly hráči, kteří už za tým nehrají.</li>
</ul>